BasedXYGraphics (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.xychart.plotitem

## Class BasedXYGraphics

- java.lang.Object
- - com.twosigma.beakerx.chart.Graphics
  - - com.twosigma.beakerx.chart.xychart.plotitem.XYGraphics
    - - com.twosigma.beakerx.chart.xychart.plotitem.BasedXYGraphics

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    Area, Bars, Stems

      public abstract class BasedXYGraphics
      extends XYGraphics

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.twosigma.beakerx.chart.xychart.plotitem.XYGraphics

      `baseColor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasedXYGraphics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Number` | `getBase()`
    `java.util.List<java.lang.Number>` | `getBases()`
    `void` | `setBase(java.util.List<java.lang.Number> base)`
    `void` | `setBase(java.lang.Number base)`

    - ### Methods inherited from class com.twosigma.beakerx.chart.xychart.plotitem.XYGraphics

      `getColor, getColors, getDisplayName, getLodFilter, getPlotType, getPossibleFilters, getToolTips, getX, getY, setBase, setColor, setColor, setColor, setColori, setDisplayName, setLodFilter, setPlotType, setToolTip, setToolTip, setX, setY`

    - ### Methods inherited from class com.twosigma.beakerx.chart.Graphics

      `clone, fireClick, fireOnKey, getClickTag, getKeys, getKeyTags, getUid, getVisible, getyAxis, getYAxis, hasClickAction, onClick, onClick, onKey, onKey, onKey, onKey, setVisible, setyAxis, setYAxis`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasedXYGraphics

          public BasedXYGraphics()

  - ### Method Detail

    - #### setBase

          public void setBase(java.lang.Number base)

    - #### setBase

          public void setBase(java.util.List<java.lang.Number> base)

    - #### getBase

          public java.lang.Number getBase()

      Overrides:
        `getBase` in class `XYGraphics`

    - #### getBases

          public java.util.List<java.lang.Number> getBases()

      Overrides:
        `getBases` in class `XYGraphics`